<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <title>Solid wiki dev client</title>
    <meta http-equiv="cache-control" content="max-age=0"/>
    <meta http-equiv="cache-control" content="no-cache"/>
    <meta http-equiv="expires" content="0"/>
    <meta http-equiv="expires" content="Tue, 01 Jan 1980 1:00:00 GMT"/>
    <meta http-equiv="pragma" content="no-cache"/>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css"
          integrity="sha384-Vkoo8x4CGsO3+Hhxv8T/Q5PaXtkKtu6ug5TOeNV6gBiFeWPGFN9MuhOf23Q9Ifjh" crossorigin="anonymous">
</head>
<body>
<h1>Solid Wiki Dev Client</h1>
<div id="app" style="margin: 12px">


    <div id="loggedIn" style="display: none">
        <div id="webIdDisplay">
            Your are logged in as (WebId): <span id="webId"/>
        </div>
        <p>
            <button type="button" class="btn btn-primary" onclick="SolidWiki.logout()">Logout</button>
        </p>

        <p>
            <button type="button" class="btn btn-primary" onclick="SolidWiki.logSomeExampleCommands()">Log Some Example
                Commands
            </button>
            <button class="btn btn-primary" onclick="SolidWiki.logProfile()" type="button">Show Profile Info</button>
            <button class="btn btn-primary" onclick="SolidWiki.runWikiSampleCommands()" type="button">Run Wiki Sample
                Commands
            </button>
        </p>


        <div id="result-container" class="container" style="margin: 12px"></div>

    </div>

    <div id="loggedOut">
        <span id="loading">Loading&hellip;</span>
        <form id="idpForm" style="display: none">
            <label for="identity_provider">Your Identity Provider:</label>
            <input
                    type="url"
                    list="known-idps"
                    id="identity_provider"
                    name="identity_provider"
                    placeholder="https://inrupt.net"
            />
            <datalist id="known-idps">
                <option value="https://inrupt.net" />
                <option value="https://solid.community" />
            </datalist>
            <input type="submit" value="Connect" />
        </form>

    </div>
</div>

</body>
</html>

